'use strict';

let detailsRegex = /^Failing row contains \((.+)\).$/;

module.exports = function getValues(detail) {
	let detailsMatch = detailsRegex.exec(detail);

	if (detailsMatch == null) {
		throw new Error("Could not determine values for query");
	}

	let [_, valueList] = detailsMatch;

	return valueList.split(", ");
};
