'use strict';

module.exports = {
	up: function createInvalidTypeTable(knex, errorHandler) {
		return knex.schema.createTable("invalid_type", (table) => {
			table.increments("id");
			table.integer("age");
			table.text("name");
			table.boolean("active");
		}).catch(errorHandler);
	},
	down: function dropInvalidTypeTable(knex, errorHandler) {
		return knex.schema.dropTable("invalid_type").catch(errorHandler);
	}
};
