'use strict';

module.exports = {
	up: function createNotNullConstraintViolationTable(knex, errorHandler) {
		return knex.schema.createTable("not_null_violation", (table) => {
			table.increments("id");
			table.text("email").notNull();
			table.text("name");
		}).catch(errorHandler);
	},
	down: function dropNotNullConstraintViolationTable(knex, errorHandler) {
		return knex.schema.dropTable("not_null_violation").catch(errorHandler);
	}
};
