'use strict';

module.exports = {
	up: function createUniqueConstraintViolationTable(knex, errorHandler) {
		return knex.schema.createTable("unique_constraint_violation", (table) => {
			table.increments("id");
			table.text("email").unique();
			table.text("name");
		}).catch(errorHandler);
	},
	down: function dropUniqueConstraintViolationTable(knex, errorHandler) {
		return knex.schema.dropTable("unique_constraint_violation").catch(errorHandler);
	}
};
