'use strict';

const Promise = require("bluebird");

module.exports = function attemptCheckConstraintViolation(knex) {
	return Promise.try(() => {
		return knex("check_constraint_violation").insert({
			number_value: "one",
			name: "Joe"
		}).returning("id");
	}).then((id) => {
		return knex("check_constraint_violation").update({
			number_value: "four"
		}).where({
			id: id[0]
		});
	});
};
