'use strict';

module.exports = function attemptCompositeUniqueConstraintViolation(knex) {
	return knex("composite_unique_constraint_violation").insert([{
		email: "foo@bar.com",
		username: "foo",
		name: "Joe"
	}, {
		email: "baz@qux.com",
		username: "bar",
		name: "Jane"
	}, {
		email: "foo@bar.com",
		username: "baz",
		name: "Pete"
	}, {
		email: "foo@bar.com",
		username: "foo",
		name: "Jill"
	}]).returning("*");
};
