'use strict';

module.exports = {
	up: function createCheckConstraintViolationTable(knex, errorHandler) {
		return knex.schema.createTable("check_constraint_violation", (table) => {
			table.increments("id");
			table.enum("number_value", ["one", "two", "three"]);
			table.text("name");
		}).catch(errorHandler);
	},
	down: function dropCheckConstraintViolationTable(knex, errorHandler) {
		return knex.schema.dropTable("check_constraint_violation").catch(errorHandler);
	}
};
